Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete an external storage configuration

DELETE/organization/external_storage/{external_storage_id}

Disconnect a customer-managed external storage configuration. Removing the project’s last configuration restores organization-default retention if customer-managed retention was active. Repeating a deletion also completes any interrupted retention update. Cloud storage is unchanged.

Path ParametersExpand Collapse
external_storage_id: string
ReturnsExpand Collapse
ExternalStorageDeleted object { id, deleted, object }
id: string
deleted: boolean
object: "organization.external_storage.deleted"

Delete an external storage configuration

curl -X DELETE https://api.openai.com/v1/organization/external_storage/extstorage_abc123 \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
  "object": "organization.external_storage.deleted",
  "id": "extstorage_abc123",
  "deleted": true
}
Returns Examples
{
  "object": "organization.external_storage.deleted",
  "id": "extstorage_abc123",
  "deleted": true
}